petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGetVersion

Gets the PETSc version information in a string.

### Synopsis

    PetscErrorCode PetscGetVersion(char version[], size_t len)

### Input Parameter

len -length of the string

### Output Parameter

version -version string

### Fortran Note

This routine is not supported in Fortran.

For doing runtime checking off supported versions we recommend using PetscGetVersionNumber() instead of this routine.

Developer Note: The version information is also listed in

       src/docs/tex/manual/intro.tex,

       src/docs/tex/manual/manual.tex.

       src/docs/website/index.html.

### See Also

PetscGetProgramName(), PetscGetVersionNumber()

### Level

developer

### Location

src/sys/objects/version.c

### Examples

src/sys/examples/tutorials/ex17.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages